Subject: [bug#55903] [PATCH 25/41] gnu: Add go-github-com-protonmail-go-crypto-openpgp.

From: "(" <[email-masked]>
Date: Sun, 12 Jun 2022 11:46:31 +0100

On Sat Jun 11, 2022 at 11:27 PM BST, Maxime Devos wrote:
> If it's backward compatible, maybe packaging the fork isn't necessary.

The _API_ is backwards compatible, but packaging it is necessary because
the OpenPGP implementation is different (although you use it the same way).

> Also, packaging all the forks in the world of everything is unscalable,
> so I think we need to at least require that forks look into upstreaming
> their changes.  Likewise for other packages in this patch series that
> are forks (if any).

Go packaging is a bit crazy, seems like this kind of fork overuse is common.
Sadly, it's usually necessary to package the forks. (There'll be a reason
they're using the forks in the first place...)